Skip to main content
POST
/
v0
/
business
/
{business_id}
/
ledger
Create a Ledger
curl --request POST \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/ledger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "asset",
  "subtype": "current_asset",
  "report_cash_flow": true,
  "description": "Business checking account",
  "financial_account_type": "bank_account",
  "debit_credit": "debit",
  "sort_code": "1010",
  "parent_id": "<string>"
}
'
{
  "data": {
    "name": "<string>",
    "type": "asset",
    "subtype": "current_asset",
    "debit_credit": "debit",
    "report_cash_flow": true,
    "id": "<string>",
    "business_id": "<string>",
    "description": "Business checking account",
    "financial_account_type": "bank_account",
    "sort_code": "1010",
    "parent_id": "ldg_KtY7p9fsM4pB58SYNar7cv"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getasset.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

Body

application/json
name
string
required

The name of the ledger

Maximum string length: 255
Example:

"Checking x5678"

type
enum<string>
required

The ledger type

Available options:
asset,
liability,
equity,
revenue,
expense
Example:

"asset"

subtype
enum<string>
required

The ledger subtype

Available options:
current_asset,
fixed_asset,
other_asset,
uncategorized_asset,
current_liability,
long_term_liability,
operating_revenue,
other_inflow,
cost_of_goods_sold,
operating_expense,
other_outflow,
contribution,
distribution,
common_stock,
preferred_stock,
additional_capital,
opening_balance,
retained_earnings,
memo
Example:

"current_asset"

report_cash_flow
boolean
required

Whether the ledger is included in the cash flow report

description
string | null

Optional description or definition of the ledger

Maximum string length: 100
Example:

"Business checking account"

financial_account_type
enum<string> | null

Used for ledgers that are connected to real-world financial accounts

Available options:
bank_account,
credit_card,
prepaid_card,
payments,
payroll,
loan,
accounts_receivable,
accounts_payable
Example:

"bank_account"

debit_credit
enum<string> | null

Indicates if the ledger is a debit or credit ledger. Auto-derived from subtype if not provided.

Available options:
debit,
credit
sort_code
string | null

Used for grouping and sorting ledgers in reports

Example:

"1010"

parent_id
string<ldg_string> | null

It indicates if this is a child ledger of another ledger in the chart of accounts.

Response

Successful Response

data
LedgerPublic · object
required